Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

# Interface InstanceOfTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface InstanceOfTree
    extends ExpressionTree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A tree node for an 'instanceof' expression. For example:

       expression instanceof type

Since:
  9

## Nested Class Summary

## Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ExpressionTree` | `getExpression()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the expression whose type is being checked.
`Tree` | `getType()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the type expression.

### Methods declared in interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

## Method Details

### getExpression

ExpressionTree getExpression()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the expression whose type is being checked.

Returns:
  the expression whose type is being checked

### getType

Tree getType()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the type expression.

Returns:
  the type expression